Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 100973 - Remove HTTP Monitor from the main toolbar
Remove HTTP Monitor from the main toolbar
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Sherold Dev
issues@javaee
:
Depends on:
Blocks: 89772 100933
  Show dependency treegraph
 
Reported: 2007-04-13 14:19 UTC by jrojcek
Modified: 2008-09-17 13:49 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jrojcek 2007-04-13 14:19:58 UTC
The foremost problem with the main toolbar is that it doesn't fit on 1024 screen width when debugging 
(the debugging toolbar is on). This is not only the space issue, it's also about the number of items the 
user needs to comprehend.

Recommendation: Eliminate toolbar items majority of users would not use. We need to eliminate at 
least 5 toolbar buttons so that the toolbar fits into 1 toolbar row when debugging. The HTTP Monitor 
should be removed from the main toolbar

Should be fixed for M9. Please reassign to responsible engineer.

Jano Rojcek is your usability contact regarding this issue.

See also debugger issue:
http://www.netbeans.org/issues/show_bug.cgi?id=100899
Comment 1 jrojcek 2007-04-13 14:22:57 UTC
Please reassign to responsible engineer.
Comment 2 Petr Jiricka 2007-04-13 16:49:11 UTC
Accepted, assigning to Stepan.
Comment 3 Petr Jiricka 2007-04-19 16:07:49 UTC
Fixed.

Checking in layer.xml;
/cvs/monitor/src/org/netbeans/modules/web/monitor/resources/layer.xml,v  <-- 
layer.xml
new revision: 1.21; previous revision: 1.20
done
Comment 4 josin 2008-09-17 13:49:39 UTC
V.

Product Version: NetBeans IDE Dev (Build 200809170201)
Java: 1.6.0_10-beta; Java HotSpot(TM) Client VM 11.0-b11
System: Linux version 2.6.24-19-generic running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo